Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Interface EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

Type Parameters:
  `E` - Event type.

All Known Subinterfaces:
  EventDispatchJoinContext<E,P,C,H,S>, LocalEventDispatchContext<E,P,C>, LocalEventDispatchJoinContext<E,P,C>

All Known Implementing Classes:
  EventDispatchJoinContextFilter

    public interface EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Context of event dispatching.

Method Summary
`void` | `consume(E event)` Consumes event.
`void` | `consume(int index)` Consumes event at index removing them from further multi-event joins.
`S` | `getEventStore()`
`EventHandlerBase.Mode` | `getMode()` Handler mode - POST or REMOVE
`void` | `post(E event, ... validators)` Posts new event to the bus.
`void` | `removeHandler()` Removes given handler from the inference network so it is never fired again.
`void` | `update(E event)` Invocation of this method indicates that one of source events has been chanded and shall be re-posted.

Method Detail

### post

    void post(E event,
              ... validators)

  Posts new event to the bus.

  Parameters:
    `events` -

### consume

    void consume(int index)

  Consumes event at index removing them from further multi-event joins.

  Parameters:
    `indices` -

### consume

    void consume(E event)

  Consumes event.

  Parameters:
    `events` -

### update

    void update(E event)

  Invocation of this method indicates that one of source events has been chanded and shall be re-posted.

  Parameters:
    `event` -

### removeHandler

    void removeHandler()

  Removes given handler from the inference network so it is never fired again.

### getEventStore

    S getEventStore()

  Returns:
    event store.

### getMode

    EventHandlerBase.Mode getMode()

  Handler mode - POST or REMOVE

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD